<?xml version="1.0" encoding="utf-8" ?>
<xsl:stylesheet
  version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
	Delete an entry
	===============
	
	Add an entry to user's feed
	
	meta-data
	=========
	
	- author Yoan BLANC
	- licence GPL
	- version 0.1 040625
-->

<xsl:import href="templates/user.xsl" />

<xsl:output method="xml" encoding="utf-8" indent="yes" omit-xml-declaration="no"/>

<!-- entry's id -->
<xsl:param name="id" />

<xsl:template match="/">
<feed>
	<xsl:apply-templates select="//entry[not(@id = $id)]" />
</feed>
</xsl:template>

<!-- copy -->
<xsl:template match="entry">
	<xsl:copy-of select="." />
</xsl:template>

</xsl:stylesheet>