<?php
/*
a(tom)Blog is a atom powered weblog system.
Copyright (C) 2004  Yoan BLANC

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/
$GLOBALS['dir'] = 'data/';
$GLOBALS['title'] = array('',' · a(tom)Blog’s documentation');

include_once(dirname(__FILE__).'/inc/fct.inc.php');

$page = (isset($_GET['p']) && !empty($_GET['p'])) ? $_GET['p'] : 'toc';

$page = file_get_contents(dirname(__FILE__).'/'.$GLOBALS['dir'].$page.'.xml');

if(preg_match('#<title>(.*?)</title>#si',$page,$match))
{
	$data['titre'] = $match[1];
}
else
{
	$data['titre'] = 'titre vide';
}

if(preg_match('#<content>(.*?)</content>#si',$page,$match))
{
	$data['contenu'] = $match[1];
}
else
{
	$data['contenu'] = 'contenu vide';
}

echo '<?xml version="1.0" encoding="utf-8"?>'."\n";
?>
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
	<title><?php
echo $GLOBALS['title'][0].$data['titre'].$GLOBALS['title'][1];
?></title>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
	<meta name="MSSmartTagsPreventParsing" content="true" />
	<link rel="stylesheet" type="text/css" href="styles/yellow_bw.css" title="yellow - bw" />
</head>
<body>
<div id="header">
	<div id="header_info">
		<h1><?php
echo $data['titre'];
?></h1>
	</div>
	<p id="menu"><a href="/" title="racine du site">↑</a> | <a href="."><abbr title="Table of Contents">TOC</abbr></a>  | <a href="html"><abbr title="PHP : HyperText Preprocessor">PHP</abbr> Doc</a></p>
</div>
<div id="page">
<?php
echo $data['contenu'];
?>
</div>
<p id="footer">by Yoan BLANC</p>
</body>
</html>
